function extractPageInfo() {
  chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
    const tab = tabs[0];
    if (tab) {
      chrome.scripting.executeScript(
        {
          target: { tabId: tab.id },
          function: scrapePage,
        },
        (results) => {
          if (results && results[0]) {
            const data = results[0].result;
            console.log("اطلاعات استخراج‌شده:", data);
            // اینجا می‌تونی اطلاعات رو ذخیره کنی یا هر کار دیگه‌ای بکنی
            chrome.storage.local.set({ pageData: data }, () => {
              console.log("داده‌ها ذخیره شدند");
            });
          }
        }
      );
    }
  });
}

// تابع برای استخراج اطلاعات از صفحه
function scrapePage() {
  const title = document.title;
  const paragraphs = Array.from(document.querySelectorAll("p")).map(p => p.textContent);
  return { title, paragraphs };
}

// هر 5 دقیقه (300000 میلی‌ثانیه) اجرا بشه
setInterval(extractPageInfo, 300000);

// برای تست اولیه، موقع نصب هم اجرا بشه
extractPageInfo();